com.sun.source.tree

## Interface ClassTree

All Superinterfaces:
  StatementTree, Tree

    @Exported
    public interface ClassTree
    extends StatementTree

A tree node for a class, interface, enum, or annotation type declaration. For example:

       modifiers class simpleName typeParameters
           extends extendsClause
           implements implementsClause
       {
           members
       }

Since:
  1.6
See The Java™ Language Specification:
  sections 8.1, 8.9, 9.1, and 9.6

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Tree` `getExtendsClause()`
`List<? extends Tree>` `getImplementsClause()`
`List<? extends Tree>` `getMembers()`
`ModifiersTree` `getModifiers()`
`Name` `getSimpleName()`
`List<? extends TypeParameterTree>` `getTypeParameters()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getModifiers

    ModifiersTree getModifiers()

#### getSimpleName

    Name getSimpleName()

#### getTypeParameters

    List<? extends TypeParameterTree> getTypeParameters()

#### getExtendsClause

    Tree getExtendsClause()

#### getImplementsClause

    List<? extends Tree> getImplementsClause()

#### getMembers

    List<? extends Tree> getMembers()